#
# spec file for package baloo5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define _tar_path 5.32
Name:           baloo5
Version:        5.32.0
Release:        1.3
%define kf5_version %{version}
Summary:        Framework for searching and managing metadata
License:        GPL-2.0+ and LGPL-2.1+ and LGPL-3.0
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/baloo-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE fix-cmakelists-comments.diff -- Change cmake 3.0 block comments to work in cmake 2.x
Patch1:         fix-cmakelists-comments.diff
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  libattr-devel
BuildRequires:  lmdb-devel
BuildRequires:  cmake(KF5Config) >= %{_tar_path}
BuildRequires:  cmake(KF5CoreAddons) >= %{_tar_path}
BuildRequires:  cmake(KF5Crash) >= %{_tar_path}
BuildRequires:  cmake(KF5DBusAddons) >= %{_tar_path}
BuildRequires:  cmake(KF5FileMetaData) >= %{_tar_path}
BuildRequires:  cmake(KF5I18n) >= %{_tar_path}
BuildRequires:  cmake(KF5IdleTime) >= %{_tar_path}
BuildRequires:  cmake(KF5KIO) >= %{_tar_path}
BuildRequires:  cmake(KF5Solid) >= %{_tar_path}
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5DBus) >= 5.6.0
BuildRequires:  cmake(Qt5Qml) >= 5.6.0
BuildRequires:  cmake(Qt5Quick) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Baloo is a framework for searching and managing metada

%package -n libKF5Baloo5
Summary:        Core library for Baloo Framework
Group:          System/GUI/KDE

%description -n libKF5Baloo5
Baloo is a framework for searching and managing metadata This
package contains Baloo's core library.

%package -n libKF5BalooEngine5
Summary:        Baloo Engine library
Group:          System/GUI/KDE

%description -n libKF5BalooEngine5
Baloo is a framework for searching and managing metadata This
package contains Baloo's Engine library.

%package file
Summary:        Filesearch components for Baloo Framework
Group:          System/GUI/KDE
Requires:       libQt5Sql5-sqlite
%if %{with lang}
Recommends:     %{name}-lang
%endif
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
Provides:       baloo-file = %{version}
Obsoletes:      baloo-file < %{version}
%else
Conflicts:      baloo-file
%endif

%description file
Baloo is a framework for searching and managing metadata. This
package contains filesearch components.

%package kioslaves
Summary:        KIO slave components for Baloo Framework
Group:          System/GUI/KDE
Requires:       kded

%description kioslaves
Baloo is a framework for searching and managing metadata. This
package contains KIO slave components.

%package tools
Summary:        Aditional components for Baloo Framework
Group:          System/GUI/KDE
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
Provides:       baloo-tools = %{version}
Obsoletes:      baloo-tools < %{version}
%else
Conflicts:      baloo-tools
%endif

%description tools
Baloo is a framework for searching and managing metadata. This
package contains aditional command line utilities.

%package imports
Summary:        QML components for Baloo Framework
Group:          System/GUI/KDE

%description imports
Baloo is a framework for searching and managing metadata. This
package contains QML imports.

%package devel
Summary:        Development package for baloo5
Group:          Development/Libraries/KDE
Requires:       libKF5Baloo5 = %{version}
Requires:       libKF5BalooEngine5 = %{version}
Requires:       lmdb-devel
Requires:       cmake(KF5CoreAddons) >= %{_tar_path}
Requires:       cmake(KF5FileMetaData) >= %{_tar_path}
Requires:       cmake(Qt5Core) >= 5.6.0
# DBus interface file
#if 0%%{?suse_version} > 1320
# We can't obsolete devel file as long as we don't have KF5-based KDEPIM
#Obsoletes:      baloo-devel
#else
Conflicts:      baloo-devel
#endif

%description devel
Baloo is a framework for searching and managing metadata. This
package contains aditional command line utilities. Development files.

%lang_package
%prep
%setup -q -n baloo-%{version}
%patch1 -p1

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
%endif

%post -n libKF5Baloo5 -p /sbin/ldconfig

%postun -n libKF5Baloo5 -p /sbin/ldconfig

%post file -p /sbin/ldconfig

%postun file -p /sbin/ldconfig

%post -n libKF5BalooEngine5 -p /sbin/ldconfig

%postun -n libKF5BalooEngine5 -p /sbin/ldconfig

%files -n libKF5Baloo5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5Baloo.so.*

%files -n libKF5BalooEngine5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5BalooEngine.so.*

%files file
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/baloo_file
%{_kf5_bindir}/baloo_file_extractor
%{_kf5_bindir}/balooctl
%{_kf5_configdir}/autostart/baloo_file.desktop
%{_kf5_iconsdir}/hicolor/*/apps/baloo.png

%files kioslaves
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_plugindir}/kf5/kio
%dir %{_kf5_plugindir}/kf5
%{_kf5_plugindir}/kf5/kio/baloosearch.so
%{_kf5_servicesdir}/baloosearch.protocol
%dir %{_kf5_plugindir}/kf5/kded
%{_kf5_plugindir}/kf5/kded/baloosearchmodule.so
%{_kf5_plugindir}/kf5/kio/tags.so
%{_kf5_servicesdir}/tags.protocol
%{_kf5_plugindir}/kf5/kio/timeline.so
%{_kf5_servicesdir}/timeline.protocol

%files tools
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/baloosearch
%{_kf5_bindir}/balooshow

%files imports
%defattr(-,root,root)
%doc COPYING*
%{_kf5_qmldir}/

%files devel
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_includedir}
%{_kf5_includedir}/
%{_kf5_libdir}/cmake/KF5Baloo/
%{_kf5_libdir}/libKF5Baloo.so
%{_kf5_libdir}/pkgconfig/Baloo.pc
%{_kf5_sharedir}/dbus-1/interfaces/*.xml

%files
%defattr(-,root,root)
%doc COPYING*

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Implement nested tags. REVIEW: 128664
  * Upgrade KF5 version to 5.32.0.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Mon Jan  9 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Performance improvements when writing
    (4 * speedup for writing out data)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  9 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Use correct config entry in autostart condition
  * Fix sorted insert (aka flat_map like insert)
    (kde#367991)
  * Add missing close env, as pointed out by Loïc Yhuel
    (kde#353783)
  * Transaction not created => don't try to abort them
  * fix missing m_env = nullptr assignment
  * Make e.g. Baloo::Query thread safe
  * On 64-bit systems baloo allows now > 5 GB index storage
    (kde#364475)
  * Allow ctime/mtime == 0
    (kde#355238)
  * Handle corruption of index database for baloo_file, try to recreate the database or abort if that fails
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
- Drop upstreamed patches:
  0001-fix-baloo_file-crash-with-corrupted-database.patch
  0003-allow-ctime-mtime-0.patch (kde#355238)
  0004-Increase-size-limit-of-baloo-index-for-64-bit-machin.patch
  (kde#364475)
  0005-Make-e.g.-Baloo-Query-thread-safe.patch
  0006-fix-typo.patch
  0007-fix-missing-m_env-nullptr-assignment.patch
  0008-Transaction-not-created-don-t-try-to-abort-them.patch
  0009-add-missing-close-env-as-pointed-out-by-Lo-c-Yhuel.patch
  (kde#353783)
  0010-Fix-sorted-insert-aka-flat_map-like-insert.patch (kde#367991)
  0011-Open-baloo-lmdb-database-read-only-beside-in-baloo_f.patch
  0012-Use-correct-config-entry-in-autostart-condition.patch
* Fri Oct  7 2016 hrvoje.senjan@gmail.com
- Baloo housekeeping:
  0001-fix-baloo_file-crash-with-corrupted-database.patch
  0003-allow-ctime-mtime-0.patch (kde#355238)
  0004-Increase-size-limit-of-baloo-index-for-64-bit-machin.patch
  (kde#364475)
  0005-Make-e.g.-Baloo-Query-thread-safe.patch
  0006-fix-typo.patch
  0007-fix-missing-m_env-nullptr-assignment.patch
  0008-Transaction-not-created-don-t-try-to-abort-them.patch
  0009-add-missing-close-env-as-pointed-out-by-Lo-c-Yhuel.patch
  (kde#353783)
  0010-Fix-sorted-insert-aka-flat_map-like-insert.patch (kde#367991)
  0011-Open-baloo-lmdb-database-read-only-beside-in-baloo_f.patch
  0012-Use-correct-config-entry-in-autostart-condition.patch
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * DocumentUrlDB::del Only assert when children of dir
    actually exist
  * Ignore malformed Queries which have a binary operator
    without first argument
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Tue Jul  5 2016 wbauer@tmo.at
- Use the new %%kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Fix using spaces in the tags kioslave (kde#349118)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Compilation fixes for Windows
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Centralize batch size in config
  * Remove code blocking indexing of text/plain files
    without .txt extension (kde#358098)
  * Check both, filename and filecontent to determine mimetype
    (kde#353512)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
- Drop upstreamed Do-not-block-indexing-of-text-plain-files-without-txt-extension.patch
* Tue Mar 22 2016 wbauer@tmo.at
- Added Do-not-block-indexing-of-text-plain-files-without-txt-extension.patch
  from upstream: fixes indexing of text/plain files without .txt
  extension (kde#358098)
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Fix several issue of mtime related search
  * PostingDB Iter: Do not assert on MDB_NOTFOUND
  * Balooctl status: Avoid showing 'Content indexing' about folders
  * StatusCommand: Show the correct status for folders
  * SearchStore: Gracefully handle empty term values (kde#356176)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Fri Dec 11 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * Fix date filter used by timeline://
  * BalooCtl: Return after commands
  * Clean up and armour Baloo::Database::open(), handle more
    crash conditions
  * Add check in Database::open(OpenDatabase) to fail if
    db doesn't exist
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Thu Nov 12 2015 alarrosa@suse.com
- Added fix-cmakelists-comments.diff: change cmake 3.0 block
  comments to work with cmake 2.x
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Monitor lib: Use Kformat::spelloutDuration to localize
    time string
  * Use KDE_INSTALL_DBUSINTERFACEDIR to install dbus interfaces
  * UnindexedFileIndexer: Handle files that have been moved when
    baloo_file was not running
  * Remove Transaction::renameFilePath and add
    DocumentOperation for it.
  * Make constructors with a single parameter explicit
  * UnindexedFileIndexer: only index required parts of file
  * Transaction: add method to return timeInfo struct
  * Added exclude mimetypes to balooctl's config
  * Databases: Use QByteArray::fromRawData when passing data
    to a codec
  * Balooctl: Move 'status' command to its own class
  * Balooctl: Show help menu if the command is not recognized
  * Balooshow: Allow us to lookup files by their inode + devId
  * Balooctl monitor: stop if baloo dies
  * MonitorCommand: Use both the started and finished signals
  * Balooctl monitor: Move to a proper command class
  * Add dbus notification for when we start/finish
    indexing a file
  * FileIndexScheduler: Forcibly kill threads on exit
  * WriteTransaction commit: Avoid fetching the positionList
    unless required
  * WriteTransaction: Extra asserts in replaceDocument
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Fix limit/offset handling in SearchStore::exec
  * Recreate the baloo index
  * balooctl config: add options to set/view onlyBasicIndexing
  * Port balooctl check to work with new architecture (kde#353011)
  * FileContentIndexer: fix emitting filePath twice
  * UnindexedFileIterator: mtime is quint32 not quint64
  * Transaction: fix another Dbi typo
  * Transaction: Fix documentMTime() and documentCTime()
    using wrong Dbis.
  * Transaction::checkPostingDbInTermsDb: Optimize code
  * Fix dbus warnings
  * Balooctl: Add checkDb command
  * balooctl config: Add "exclude filter"
  * KF5Baloo: Make sure D-Bus interfaces are generated before they
    are used. (kde#353308)
  * Avoid using QByteArray::fromRawData
  * Remove baloo-monitor from baloo
  * TagListJob: Emit error when failed to open database
  * Do not ignore subterms if not found
  * Cleaner code for failing Baloo::File::load() on DB open fail.
  * Make balooctl use IndexerConfig instead of manipulating
    baloofilerc directly
  * Improve i18n for balooshow
  * Make balooshow fail gracefully if database cannot be opened.
  * Fail Baloo::File::load() if the Database is not open.
    (kde#353049)
  * IndexerConfig: add refresh() method
  * inotify: Do not simulate a closedWrite event after
    move without cookie
  * ExtractorProcess: Remove the extra \n at the end of
    the filePath
  * baloo_file_extractor: call QProcess::close before
    destroying the QProcess
  * baloomonitorplugin/balooctl: i18nize indexer state.
  * BalooCtl: Add a 'config' option
  * Make baloosearch more presentable
  * Remove empty EventMonitor files
  * BalooShow: Show more information when the ids do not match
  * BalooShow: When called with an id check if the id is correct
  * Add a FileInfo class
  * Add error checking in various bits so that Baloo doesn't
    crash when disabled. (kde#352454)
  * Fix Baloo not respecting "basic indexing only" config option
  * Monitor: Fetch remaining time on startup
  * Use actual method calls in MainAdaptor instead
    of QMetaObject::invokeMethod
  * Add org.kde.baloo interface to root object for
    backward compatibility
  * Fix date string displayed in address bar due to
    porting to QDate
  * Add delay after each file instead of each batch
  * Remove Qt::Widgets dependency from baloo_file
  * Remove unused code from baloo_file_extractor
  * Add baloo monitor or experimental qml plugin
  * Make "querying for remaining time" thread safe
  * kioslaves: Add missing override for virtual functions
  * Extractor: Set the applicationData after constructing the app
  * Query: Implement support for 'offset'
  * Balooctl: Add --version and --help (kde#351645)
  * Remove KAuth support to increase max inotify watches if
    count too low (kde#351602)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
- Drop upstreamed patches:
  0001-Fix-Baloo-not-respecting-basic-indexing-only-config-.patch
  0002-Add-error-checking-in-various-bits-so-that-Baloo-doe.patch
  0003-Fail-Baloo-File-load-if-the-Database-is-not-open.patch
  0004-Cleaner-code-for-failing-Baloo-File-load-on-DB-open-.patch
  0005-TagListJob-Emit-error-when-failed-to-open-database.patch
* Mon Sep 28 2015 hrvoje.senjan@gmail.com
- Added patches from upstream to resolve various issues when user
  has file indexing disabled:
  0001-Fix-Baloo-not-respecting-basic-indexing-only-config-.patch
  0002-Add-error-checking-in-various-bits-so-that-Baloo-doe.patch
  0003-Fail-Baloo-File-load-if-the-Database-is-not-open.patch
  0004-Cleaner-code-for-failing-Baloo-File-load-on-DB-open-.patch
  0005-TagListJob-Emit-error-when-failed-to-open-database.patch
* Wed Sep  9 2015 alarrosa@suse.com
- Added installed files to the %%files section to fix build
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Add org.kde.baloo interface to root object
    for backward compatibility
  * Install a fake org.kde.baloo.file.indexer.xml to
    fix compilation of plasma-desktop 5.4
  * Re-organize D-Bus interfaces
  * Use json metadata in kded plugin and fix plugin name
  * Create one Database instance per process (kde#350247)
  * Prevent baloo_file_extractor being killed while committing
  * Generate xml interface file using qt5_generate_dbus_interface
  * Baloo monitor fixes
  * Move file url export to main thread
  * Make sure cascaded configs are taken into account
  * Do not install namelink for private library
  * Install translations, spotted by Hrvoje Senjan.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
- Drop 0001-install-translations.patch, merged upstream
- Drop krunner-devel BuildRequires, no longer needed
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
- Added 0001-install-translations.patch from upstream
* Sun Jul 26 2015 hrvoje.senjan@gmail.com
- Fix Oboletes/Provides versions regarding Leap versioning
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
- Drop 0001-Revert-BasicIndexingQueue-Use-xapian-slots-to-fetch-.patch,
  merged upstream
* Sat May  2 2015 hrvoje.senjan@gmail.com
- Added 0001-Revert-BasicIndexingQueue-Use-xapian-slots-to-fetch-.patch
  from upstream
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
- Let file and tools subpackages Obsolete KDE4 variants for
  openSUSE > 13.2
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Raise required extra-cmake-modules version to 1.2.0
- Added kdbusaddons-devel BuildRequires
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
- Added baselibs.conf
- Drop kcmutils-devel BuildRequires
- Add recommends for lang subpackage
- New libKF5Baloo1 shlib replaces libKF5BalooNaturalQueryParser1,
  libKF5BalooFiles1 and libKF5BalooCore1
- Remove not needed Obsoletes
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
- (Build)Require equal version of kfilemetadata5-devel
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Escape dots in exclude filters, kde#339908
  * BasicIQ: Fix broken indexing on file modifications when
    file exists
  * Fix build with Qt 5.4
  * BasicIQ: Fetch the id before indexing it
  * Enforce a maxiumum term size of 25
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
* Thu Sep 25 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * Minor API adjustements since previous snapshot
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140911 (rb92aa3b):
  * Use QPluginLoader instead of KService.
  * New naturalqueryparser library
  * API cleanups
  * Various bugfixes
  * Added QML components
- Drop kservice-devel BuildRequires, per upstream changes
- Added pkgconfig(Qt5Quick) BuildRequires
* Sun Aug 10 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Bugfix release
* Sun Jul 27 2014 hrvoje.senjan@gmail.com
- Added libQt5Sql5-sqlite Requires to file subpackage
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
* Thu Jun  5 2014 hrvoje.senjan@gmail.com
- Activate baloo5 package
